Bug 1254017 - Buildroot has old glib2 version 2.40.0-4 but 2.41.2 or greater is needed.
Buildroot has old glib2 version 2.40.0-4 but 2.41.2 or greater is needed.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng (Show other bugs)
7.2
All Linux
unspecified Severity urgent
: rc
: ---
Assigned To: Lubos Kocman
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-16 15:06 EDT by Brian Lane
Modified: 2017-01-04 08:39 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-04 08:39:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Lane 2015-08-16 15:06:08 EDT
Description of problem:

Can't build anaconda.

DEBUG util.py:257:  Error: Package: glib-networking-2.42.0-1.el7.s390x (build)
DEBUG util.py:257:             Requires: glib2(s390-64) >= 2.42.0
DEBUG util.py:257:             Installed: glib2-2.40.0-4.el7.s390x (@build/$releasever)
DEBUG util.py:257:                 glib2(s390-64) = 2.40.0-4.el7
DEBUG util.py:257:  Error: Package: gtk3-devel-3.14.13-13.el7.s390x (build)
DEBUG util.py:257:             Requires: pkgconfig(gio-2.0) >= 2.41.2
DEBUG util.py:257:             Installing: glib2-devel-2.40.0-4.el7.s390x (build)
DEBUG util.py:257:                 pkgconfig(gio-2.0) = 2.40.0
DEBUG util.py:257:  Error: Package: gtk3-3.14.13-13.el7.s390x (build)
DEBUG util.py:257:             Requires: glib2 >= 2.41.2
DEBUG util.py:257:             Installed: glib2-2.40.0-4.el7.s390x (@build/$releasever)
DEBUG util.py:257:                 glib2 = 2.40.0-4.el7
DEBUG util.py:257:  Error: Package: gtk3-devel-3.14.13-13.el7.s390x (build)
DEBUG util.py:257:             Requires: pkgconfig(gio-unix-2.0) >= 2.41.2
DEBUG util.py:257:             Installing: glib2-devel-2.40.0-4.el7.s390x (build)
DEBUG util.py:257:                 pkgconfig(gio-unix-2.0) = 2.40.0
DEBUG util.py:257:   You could try using --skip-broken to work around the problem

https://brewweb.devel.redhat.com/taskinfo?taskID=9699055

Anaconda requirements haven't changed, previous builds this week worked fine.
Comment 2 Brian Lane 2015-08-17 11:19:01 EDT
I retried this build this morning and it ran fine, but you may want to look into why there was such an old version of glib2 in there this weekend.

Note You need to log in before you can comment on or make changes to this bug.